Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::ISubDSchema::Sample Class Reference

## Public Types

typedef Sample | this_type

## Public Member Functions

| Sample ()
| Users never create this data directly.
Abc::P3fArraySamplePtr | getPositions () const
Abc::Int32ArraySamplePtr | getFaceIndices () const
Abc::Int32ArraySamplePtr | getFaceCounts () const
int32_t | getFaceVaryingInterpolateBoundary () const
int32_t | getFaceVaryingPropagateCorners () const
int32_t | getInterpolateBoundary () const
Abc::Int32ArraySamplePtr | getCreaseIndices () const
Abc::Int32ArraySamplePtr | getCreaseLengths () const
Abc::FloatArraySamplePtr | getCreaseSharpnesses () const
Abc::Int32ArraySamplePtr | getCornerIndices () const
Abc::FloatArraySamplePtr | getCornerSharpnesses () const
Abc::Int32ArraySamplePtr | getHoles () const
std::string | getSubdivisionScheme () const
Abc::V3fArraySamplePtr | getVelocities () const
Abc::Box3d | getSelfBounds () const
bool | valid () const
void | reset ()
| ALEMBIC_OPERATOR_BOOL (valid())

## Protected Attributes

Abc::P3fArraySamplePtr | m_positions
Abc::V3fArraySamplePtr | m_velocities
Abc::Int32ArraySamplePtr | m_faceIndices
Abc::Int32ArraySamplePtr | m_faceCounts
int32_t | m_faceVaryingInterpolateBoundary
int32_t | m_faceVaryingPropagateCorners
int32_t | m_interpolateBoundary
Abc::Int32ArraySamplePtr | m_creaseIndices
Abc::Int32ArraySamplePtr | m_creaseLengths
Abc::FloatArraySamplePtr | m_creaseSharpnesses
Abc::Int32ArraySamplePtr | m_cornerIndices
Abc::FloatArraySamplePtr | m_cornerSharpnesses
Abc::Int32ArraySamplePtr | m_holes
std::string | m_subdScheme
Abc::Box3d | m_selfBounds

## Friends

class | ISubDSchema

The documentation for this class was generated from the following file:

- AbcGeom/ISubD.h